mbed TLS v2.23.0

Macros | Typedefs
crypto_types.h File Reference

PSA cryptography module: type aliases. More...

`#include <stdint.h>`
Include dependency graph for crypto_types.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | PSA_KEY_ID_INIT 0

## Typedefs
typedef int32_t | psa_status_t
| Function return status. More...
typedef uint16_t | psa_key_type_t
| Encoding of a key type. More...
typedef uint8_t | psa_ecc_curve_t
typedef uint8_t | psa_dh_group_t
typedef uint32_t | psa_algorithm_t
| Encoding of a cryptographic algorithm. More...
typedef uint32_t | psa_key_lifetime_t
typedef uint8_t | psa_key_persistence_t
typedef uint32_t | psa_key_location_t
typedef uint32_t | psa_key_id_t
typedef uint32_t | psa_key_usage_t
| Encoding of permitted usage on a key. More...
typedef struct psa_key_attributes_s | psa_key_attributes_t
typedef uint16_t | psa_key_derivation_step_t
| Encoding of the step of a key derivation. More...

## Detailed Description

PSA cryptography module: type aliases.

Note
  This file may not be included directly. Applications must include psa/crypto.h. Drivers must include the appropriate driver header file.

This file contains portable definitions of integral types for properties of cryptographic keys, designations of cryptographic algorithms, and error codes returned by the library.

This header file does not declare any function.

Definition in file crypto_types.h.